LibreOffice: XContentEnumerationAccess Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XContentEnumerationAccess Interface Reference

allows access to the collections of all content types within the object. More...

`import <XContentEnumerationAccess.idl;`

Inheritance diagram for XContentEnumerationAccess:

## Public Member Functions
com::sun::star::container::XEnumeration | createContentEnumeration ([in] string aServiceName)
sequence< string > | getAvailableServiceNames ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows access to the collections of all content types within the object.

This example prints the names of all tables:

xTextTableEnum = xTextDoc.createContentEnumeration( "com::sun::star::text::TextTable" )
while xTextTableEnum.hasMoreElements() do
print xTextTableEnum.nextElement().Name
wend

Developers Guide
  Text Documents - Iterating over Text
  Professional UNO - Service Manager - XContentEnumerationAccess Interface

## Member Function Documentation

## ◆ createContentEnumeration()

com::sun::star::container::XEnumeration createContentEnumeration | ( | [in] string | aServiceName | ) |

Returns
  a new enumeration object for the contents of the specified service type.

## ◆ getAvailableServiceNames()

sequence< string > getAvailableServiceNames | ( |  | ) |

Returns
  all names of services of which instances exist in this object.

XContentEnumerationAccess::createContentEnumeration() creates an enumeration for all the service names which are listed here. For all others it creates no enumeration.

The documentation for this interface was generated from the following files:

- com/sun/star/container/XContentEnumerationAccess.idl
- /build/libreoffice-fresh/src/libreoffice-24.8.1.2/odk/docs/idl/generated_idl_chapter_refs.idl